#ifndef TABBARLABEL_H
#define TABBARLABEL_H

#include <QLabel>
#include <QObject>
#include <QPaintEvent>
#include <QMouseEvent>
#include "apptabbar.h"
#include <QDebug>

class TabBarLabel : public QLabel
{
    Q_OBJECT
public:
    TabBarLabel(AppTabBar *parent, QPixmap image);
    ~TabBarLabel();

private:
    int tabIndex() const;

protected:
    void mousePressEvent(QMouseEvent *event);

private:
    AppTabBar *tabBar;
};

#endif // TABBARLABEL_H
